Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Update document

PATCH/workspaces/{organizationId}/documents/{id}
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
idstringrequired
Request body
application/json
titlestring
min length 1
iconstring | null
contentobject[] | string
Show properties
Any of:
object[]
Array of object
object
string
string
contentFormatstring
Allowed:blocksmarkdowncanvas
slugstring | null
projectIdstring | null
issueIdstring | null
initiativeIdstring | null
parentDocumentIdstring | null
spaceIdstring | null
isTemplateboolean
Responses
200

Document updated

idstringrequired
organizationIdstringrequired
titlestringrequired
iconstring | nullrequired
contentobject[] | stringrequired
Show properties
Any of:
object[]
Array of object
object
string
string
contentFormatstringrequired
Allowed:blocksmarkdowncanvas
slugstring | nullrequired
projectIdstring | nullrequired
issueIdstring | nullrequired
initiativeIdstring | nullrequired
parentDocumentIdstring | nullrequired
spaceIdstring | nullrequired
isTemplatebooleanrequired
createdByIdstringrequired
updatedByIdstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
trashedAtstring | nullrequired
404

Document not found

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH 'https://pile.nyc/workspaces/string/documents/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "title": "string",
  "icon": "string",
  "content": [
    {
      "property1": null,
      "property2": null
    }
  ],
  "contentFormat": "blocks",
  "slug": "string",
  "projectId": "string",
  "issueId": "string",
  "initiativeId": "string",
  "parentDocumentId": "string",
  "spaceId": "string",
  "isTemplate": true
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "title": "string",
  "icon": "string",
  "content": [
    {
      "property1": null,
      "property2": null
    }
  ],
  "contentFormat": "blocks",
  "slug": "string",
  "projectId": "string",
  "issueId": "string",
  "initiativeId": "string",
  "parentDocumentId": "string",
  "spaceId": "string",
  "isTemplate": true,
  "createdById": "string",
  "updatedById": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "trashedAt": "string"
}

Was this page helpful?